## r-cran-rsvd 1.0.3

=== DESCRIPTION ===
Package: rsvd
Type: Package
Title: Randomized Singular Value Decomposition
Version: 1.0.3
Date: 2020-02-17
Authors@R: c(person("N. Benjamin", "Erichson", role = c("aut", "cre"), email = "erichson@berkeley.edu"))
Author: N. Benjamin Erichson [aut, cre]
Maintainer: N. Benjamin Erichson <erichson@berkeley.edu>
Description: Low-rank matrix decompositions are fundamental tools and widely used for data
  analysis, dimension reduction, and data compression. Classically, highly accurate 
  deterministic matrix algorithms are used for this task. However, the emergence of 
  large-scale data has severely challenged our computational ability to analyze big data. 
  The concept of randomness has been demonstrated as an effective strategy to quickly produce
  approximate answers to familiar problems such as the singular value decomposition (SVD). 
  The rsvd package provides several randomized matrix algorithms such as the randomized 
  singular value decomposition (rsvd), randomized principal component analysis (rpca), 
  randomized robust principal component analysis (rrpca), randomized interpolative 
  decomposition (rid), and the randomized CUR decomposition (rcur). In addition several plot 
  functions are provided.
Depends: R (>= 3.2.2)
Imports: Matrix
License: GPL (>= 3)
LazyData: TRUE
URL: https://github.com/erichson/rSVD
BugReports: https://github.com/erichson/rSVD/issues
Suggests: ggplot2, testthat
RoxygenNote: 7.0.2
NeedsCompilation: no
Encoding: UTF-8
Packaged: 2020-02-17 20:09:29 UTC; ben
Repository: CRAN
Date/Publication: 2020-02-17 22:10:09 UTC

## r-cran-rsvd 1.0.2

=== debian/changelog ===
r-cran-rsvd (1.0.2-1) unstable; urgency=medium

  * Initial release (closes: #934653)

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Aug 2019 15:04:59 +0200

=== debian/control ===
Source: r-cran-rsvd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-matrix
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvd.git
Homepage: https://cran.r-project.org/package=rsvd

Package: r-cran-rsvd
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Randomized Singular Value Decomposition
 Low-rank matrix decompositions are fundamental tools and widely used for
 data analysis, dimension reduction, and data compression. Classically,
 highly accurate deterministic matrix algorithms are used for this task.
 However, the emergence of large-scale data has severely challenged our
 computational ability to analyze big data. The concept of randomness has
 been demonstrated as an effective strategy to quickly produce
 approximate answers to familiar problems such as the singular value
 decomposition (SVD). The rsvd package provides several randomized matrix
 algorithms such as the randomized singular value decomposition (rsvd),
 randomized principal component analysis (rpca), randomized robust
 principal component analysis (rrpca), randomized interpolative
 decomposition (rid), and the randomized CUR decomposition (rcur). In
 addition several plot functions are provided. The methods are discussed
 in detail by Erichson et al. (2016) <arXiv:1608.02148>.

## r-cran-rsvd 1.0.3

=== debian/changelog ===
r-cran-rsvd (1.0.3-3) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 17:48:59 +0200

r-cran-rsvd (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 14:48:11 +0100

r-cran-rsvd (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 11:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-matrix
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvd.git
 Homepage: https://cran.r-project.org/package=rsvd
+Rules-Requires-Root: no
 
 Package: r-cran-rsvd
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ggplot2, r-cran-plyr, r-cran-scales
Restrictions: allow-stderr

## r-cran-rsvd 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rsvd
 Type: Package
 Title: Randomized Singular Value Decomposition
-Version: 1.0.3
-Date: 2020-02-17
+Version: 1.0.5
+Date: 2021-04-11
 Authors@R: c(person("N. Benjamin", "Erichson", role = c("aut", "cre"), email = "erichson@berkeley.edu"))
 Author: N. Benjamin Erichson [aut, cre]
 Maintainer: N. Benjamin Erichson <erichson@berkeley.edu>
@@ -17,16 +17,17 @@
   randomized robust principal component analysis (rrpca), randomized interpolative 
   decomposition (rid), and the randomized CUR decomposition (rcur). In addition several plot 
   functions are provided.
-Depends: R (>= 3.2.2)
+Depends: R (>= 4.0.0)
 Imports: Matrix
 License: GPL (>= 3)
 LazyData: TRUE
+LazyDataCompression: xz
 URL: https://github.com/erichson/rSVD
 BugReports: https://github.com/erichson/rSVD/issues
 Suggests: ggplot2, testthat
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 NeedsCompilation: no
 Encoding: UTF-8
-Packaged: 2020-02-17 20:09:29 UTC; ben
+Packaged: 2021-04-14 17:52:09 UTC; ben
 Repository: CRAN
-Date/Publication: 2020-02-17 22:10:09 UTC
+Date/Publication: 2021-04-16 05:40:03 UTC

=== debian/changelog ===
r-cran-rsvd (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 12:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsvd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsvd.git
 Homepage: https://cran.r-project.org/package=rsvd
